#include "texturas.inc"
#include "shapes.inc"

#declare SUJETAPERCHA = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Mesa_Silla
  }
  scale <0.100, 5.000, 1.000>
}

#declare Bound00001 = box {
   <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
  scale <1.000, 1.000, 0.5600>
}

#declare PERCHA_A = torus { 
  0.5, 0.25  // Major, minor radius
  rotate -x*90
  texture {
    Gris_metal
  }
  bounded_by { Bound00001 }
  rotate <0.000, -90.000, 0.000>
  translate <-0.7000, -3.000, 0.100>
}

#declare CORTEPERCHA_A = plane {
  z,0
  texture {
    Gris_metal
  }
  translate <0.000, -3.00, 0.000>
}

#declare PERCHA = difference {
  object { PERCHA_A }
  object { CORTEPERCHA_A }
  texture {
    Gris_metal
  }
}

#declare Bound00002 = box {
   <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
  scale <1.0300, 1.0300, 0.2800>
}

#declare UNE_PERCHA_A = torus { 
  0.5, 0.250  // Major, minor radius
  rotate -x*90
  texture {
    Gris_metal
  }
  bounded_by { Bound00002 }
  rotate <-90.00, 0.0, 0.00>
  translate <-0.3, -2.27, 0.000>
}

#declare CORTE_UNION = plane {
  z,0
  texture {
    Gris_metal
  }
  rotate <0.00, -180.00, 0.000>
}

#declare CORTE_UNION2 = plane {
  z,0
  texture {
    Gris_metal
  }
  rotate <0.000, -90.00, 0.000>
 }

#declare UNION = difference {
  object { UNE_PERCHA_A }
  object { CORTE_UNION }
  object { CORTE_UNION2 }
  translate <0.100, 0.00, 0.000>
}

#declare Bound3 = box {
   <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
  scale <1.030, 1.030, 0.2800>
}

#declare UNE_PERCHA_A1 = torus { 
  0.5, 0.250  // Major, minor radius
  rotate -x*90
  texture {
    Gris_metal
  }
  bounded_by { Bound3 }
  rotate <-90.0, 0.00, 0.00>
  translate <-.3, -3.7, 0.00>
}

#declare CORTE_UNION1 = plane {
  z,0
  texture {
    Gris_metal
  }
  rotate <0.00, -180.000, 0.000>
}

#declare CORTE_UNION3 = plane {
  z,0
  texture {
    Gris_metal
  }
  rotate <0.00, -90.00, 0.0>
}

#declare UNION1 = difference {
  object { UNE_PERCHA_A1 }
  object { CORTE_UNION1 }
  object { CORTE_UNION3 }
}

#declare PERCHA1 = union {
  object { PERCHA }
  object { UNION }
  object { UNION1 }
  scale <1, .7, 1>
}

#declare PERCHAS = union {
  object { SUJETAPERCHA  translate <0, 2, 0>}
  object { PERCHA1 }
  object { PERCHA1 translate <-.2, 2, 0>}
  object { PERCHA1 translate <-.2, 4, 0>}
  object { PERCHA1 translate <-.2, 6, 0>}
  scale <1, .5, 1>
}
